Custom project CRS is not restored correctly on project load

2017-10-07 04:05 PM - Anita Graser

Status: Closed

Priority: High

Assignee: Nyall Dawson

Category: Project Loading/Saving

Affected QGIS version:master Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 25155

Description

I have a project with a custom CRS used as the project CRS. (Specifically: +proj=ortho +lat_0=42.1 +lon_0=12.8 +x_0=0 +y_0=0

+a=6371000 +b=6371000 +units=m +no_defs) It was created with 2.14.

When I open the 2.14 project in master, a different CRS is assigned. Could be the one with the same random generated ID that custom

CRS get.

If I save the project using master and reopen it, the correct CRS id is displayed in the project properties but the map is not rendered

correctly either. I have to change the CRS to another and then back to make it look correct.

Associated revisions

Revision 39851f44 - 2017-11-13 06:01 AM - Nyall Dawson

Invalidate crs cache after adding a new user CRS

Refs #17257

Revision f2b5a595 - 2017-11-13 06:26 AM - Nyall Dawson

Fix loading 2.x projects with custom CRS

Fixes #17257

History

#1 - 2017-11-08 09:14 AM - Nyall Dawson

- Assignee set to Nyall Dawson

#2 - 2017-11-13 08:47 AM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|f2b5a5952bdd35739d665f49a1e49d1d0209222c.
